/*
    This is an auto generated file and any modifications to it may result in corrupted data.
*/
define([], function() {
	var mappings = {
		"accountID": "accountID",
		"accountNumber": "accountNumber",
		"amount": "amount",
		"amountTransferedTillNow": "amountTransferedTillNow",
		"authenticationRequired": "authenticationRequired",
		"billCategory": "billCategory",
		"billCategoryId": "billCategoryId",
		"billDueAmount": "billDueAmount",
		"billDueDate": "billDueDate",
		"billerCategoryName": "billerCategoryName",
		"billGeneratedDate": "billGeneratedDate",
		"billid": "billid",
		"billPaidAmount": "billPaidAmount",
		"billPaidDate": "billPaidDate",
		"bulkPayString": "bulkPayString",
		"cashlessEmail": "cashlessEmail",
		"cashlessMode": "cashlessMode",
		"cashlessOTP": "cashlessOTP",
		"cashlessOTPValidDate": "cashlessOTPValidDate",
		"cashlessPersonName": "cashlessPersonName",
		"cashlessPhone": "cashlessPhone",
		"cashlessPin": "cashlessPin",
		"cashlessSecurityCode": "cashlessSecurityCode",
		"cashWithdrawalTransactionStatus": "cashWithdrawalTransactionStatus",
		"category": "category",
		"checkImage": "checkImage",
		"checkImageBack": "checkImageBack",
		"checkNumber": "checkNumber",
		"deliverBy": "deliverBy",
		"description": "description",
		"eBillEnable": "eBillEnable",
		"eBillSupport": "eBillSupport",
		"ebillURL": "ebillURL",
		"errmsg": "errmsg",
		"ExternalAccountNumber": "ExternalAccountNumber",
		"firstDeposit": "firstDeposit",
		"firstRecordNumber": "firstRecordNumber",
		"frequencyEndDate": "frequencyEndDate",
		"frequencyStartDate": "frequencyStartDate",
		"frequencyType": "frequencyType",
		"fromAccountBalance": "fromAccountBalance",
		"fromAccountName": "fromAccountName",
		"fromAccountNumber": "fromAccountNumber",
		"fromAccountType": "fromAccountType",
		"fromCheckNumber": "fromCheckNumber",
		"fromNickName": "fromNickName",
		"hasDepositImage": "hasDepositImage",
		"isScheduled": "isScheduled",
		"lastRecordNumber": "lastRecordNumber",
		"limit": "limit",
		"numberOfRecurrences": "numberOfRecurrences",
		"offset": "offset",
		"order": "order",
		"otp": "otp",
		"p2pContact": "p2pContact",
		"p2pRequiredDate": "p2pRequiredDate",
		"payeeAccountNumber": "payeeAccountNumber",
		"payeeAddressLine1": "payeeAddressLine1",
		"payeeId": "payeeId",
		"payeeName": "payeeName",
		"payeeNickName": "payeeNickName",
		"payoffFlag": "payoffFlag",
		"payPersonEmail": "payPersonEmail",
		"payPersonName": "payPersonName",
		"payPersonPhone": "payPersonPhone",
		"penaltyFlag": "penaltyFlag",
		"personId": "personId",
		"recurrenceDesc": "recurrenceDesc",
		"referenceId": "referenceId",
		"scheduledDate": "scheduledDate",
		"searchAmount": "searchAmount",
		"searchDateRange": "searchDateRange",
		"searchDescription": "searchDescription",
		"searchEndDate": "searchEndDate",
		"searchMaxAmount": "searchMaxAmount",
		"searchMinAmount": "searchMinAmount",
		"searchStartDate": "searchStartDate",
		"searchTransactionType": "searchTransactionType",
		"searchType": "searchType",
		"secondaryEmail": "secondaryEmail",
		"secondaryEmail2": "secondaryEmail2",
		"secondaryPhoneNumber2": "secondaryPhoneNumber2",
		"secondDeposit": "secondDeposit",
		"secondoryPhoneNumber": "secondoryPhoneNumber",
		"sortBy": "sortBy",
		"statusDescription": "statusDescription",
		"success": "success",
		"toAccountName": "toAccountName",
		"toAccountNumber": "toAccountNumber",
		"toAccountType": "toAccountType",
		"toCheckNumber": "toCheckNumber",
		"totalAmount": "totalAmount",
		"transactionComments": "transactionComments",
		"transactionDate": "transactionDate",
		"transactionId": "transactionId",
		"transactionsNotes": "transactionsNotes",
		"transactionType": "transactionType",
		"validDate": "validDate",
		"viewReportLink": "viewReportLink",
		"overdraft": "overdraft",
		"isPaypersonDeleted": "isPaypersonDeleted",
		"frontImage1": "frontImage1",
		"frontImage2": "frontImage2",
		"backImage1": "backImage1",
		"backImage2": "backImage2",
		"checkDesc": "checkDesc",
		"checkNumber1": "checkNumber1",
		"checkNumber2": "checkNumber2",
		"bankName1": "bankName1",
		"bankName2": "bankName2",
		"withdrawlAmount1": "withdrawlAmount1",
		"withdrawlAmount2": "withdrawlAmount2",
		"totalCheckAmount": "totalCheckAmount",
		"cashAmount": "cashAmount",
		"payeeCurrency": "payeeCurrency",
		"swiftCode": "swiftCode",
		"wireAccountType": "wireAccountType",
		"country": "country",
		"IBAN": "IBAN",
		"bankName": "bankName",
		"routingNumber": "routingNumber",
		"internationalRoutingCode": "internationalRoutingCode",
		"zipCode": "zipCode",
		"cityName": "cityName",
		"state": "state",
		"bankAddressLine1": "bankAddressLine1",
		"bankAddressLine2": "bankAddressLine2",
		"bankCity": "bankCity",
		"bankState": "bankState",
		"bankZip": "bankZip",
		"payeeType": "payeeType",
		"disputeReason": "disputeReason",
		"disputeDescription": "disputeDescription",
		"checkDateOfIssue": "checkDateOfIssue",
		"checkReason": "checkReason",
		"isPayeeDeleted": "isPayeeDeleted",
		"payeeAddressLine2": "payeeAddressLine2",
		"amountRecieved": "amountRecieved",
		"requestValidityInMonths": "requestValidityInMonths",
		"requestValidity": "requestValidity",
		"requestType": "requestType",
		"disputeDate": "disputeDate",
		"disputeStatus": "disputeStatus",
		"isDisputed": "isDisputed",
		"cardId": "cardId",
		"isOverdraft": "isOverdraft",
		"title": "title",
		"generatedBy": "generatedBy",
		"filters": "filters",
		"statementReference": "statementReference",
		"transCreditDebitIndicator": "transCreditDebitIndicator",
		"bookingDateTime": "bookingDateTime",
		"valueDateTime": "valueDateTime",
		"transactionInformation": "transactionInformation",
		"addressLine": "addressLine",
		"transactionAmount": "transactionAmount",
		"transactionCurrency": "transactionCurrency",
		"chargeAmount": "chargeAmount",
		"chargeCurrency": "chargeCurrency",
		"sourceCurrency": "sourceCurrency",
		"targetCurrency": "targetCurrency",
		"unitCurrency": "unitCurrency",
		"exchangeRate": "exchangeRate",
		"contractIdentification": "contractIdentification",
		"quotationDate": "quotationDate",
		"instructedAmount": "instructedAmount",
		"transactionCode": "transactionCode",
		"transactionSubCode": "transactionSubCode",
		"proprietaryTransactionCode": "proprietaryTransactionCode",
		"proprietaryTransactionIssuer": "proprietaryTransactionIssuer",
		"balanceCreditDebitIndicator": "balanceCreditDebitIndicator",
		"balanceType": "balanceType",
		"balanceAmount": "balanceAmount",
		"balanceCurrency": "balanceCurrency",
		"merchantName": "merchantName",
		"merchantCategoryCode": "merchantCategoryCode",
		"creditorAgentSchemeName": "creditorAgentSchemeName",
		"creditorAgentIdentification": "creditorAgentIdentification",
		"creditorAgentName": "creditorAgentName",
		"creditorAgentaddressType": "creditorAgentaddressType",
		"creditorAgentDepartment": "creditorAgentDepartment",
		"creditorAgentSubDepartment": "creditorAgentSubDepartment",
		"creditorAgentStreetName": "creditorAgentStreetName",
		"creditorAgentBuildingNumber": "creditorAgentBuildingNumber",
		"creditorAgentPostCode": "creditorAgentPostCode",
		"creditorAgentTownName": "creditorAgentTownName",
		"creditorAgentCountrySubDivision": "creditorAgentCountrySubDivision",
		"creditorAgentCountry": "creditorAgentCountry",
		"creditorAgentAddressLine": "creditorAgentAddressLine",
		"creditorAccountSchemeName": "creditorAccountSchemeName",
		"creditorAccountSeconIdentification": "creditorAccountSeconIdentification",
		"debtorAgentSchemeName": "debtorAgentSchemeName",
		"debtorAgentIdentification": "debtorAgentIdentification",
		"debtorAgentName": "debtorAgentName",
		"debtorAgentAddressType": "debtorAgentAddressType",
		"debtorAgentDepartment": "debtorAgentDepartment",
		"debtorAgentSubDepartment": "debtorAgentSubDepartment",
		"debtorAgentStreetName": "debtorAgentStreetName",
		"debtorAgentBuildingNumber": "debtorAgentBuildingNumber",
		"dedtorAgentPostCode": "dedtorAgentPostCode",
		"debtorAgentTownName": "debtorAgentTownName",
		"debtorAgentCountrySubDivision": "debtorAgentCountrySubDivision",
		"debtorAgentCountry": "debtorAgentCountry",
		"debtorAgentAddressLine": "debtorAgentAddressLine",
		"debtorAccountSchemeName": "debtorAccountSchemeName",
		"debtorAccountName": "debtorAccountName",
		"debtorAccountSeconIdentification": "debtorAccountSeconIdentification",
		"cardInstrumentSchemeName": "cardInstrumentSchemeName",
		"cardInstrumentAuthorisationType": "cardInstrumentAuthorisationType",
		"cardInstrumentName": "cardInstrumentName",
		"cardInstrumentIdentification": "cardInstrumentIdentification",
		"sortCode": "sortCode",
		"feeCurrency": "feeCurrency",
		"feePaidByReceipent": "feePaidByReceipent",
		"convertedAmount": "convertedAmount",
		"baseCurrency": "baseCurrency",
		"FirstPaymentDateTime": "FirstPaymentDateTime",
		"NextPaymentDateTime": "NextPaymentDateTime",
		"FinalPaymentDateTime": "FinalPaymentDateTime",
		"StandingOrderStatusCode": "StandingOrderStatusCode",
		"FP_Amount": "FP_Amount",
		"FP_Currency": "FP_Currency",
		"NP_Amount": "NP_Amount",
		"NP_Currency": "NP_Currency",
		"FPA_Amount": "FPA_Amount",
		"FPA_Currency": "FPA_Currency",
		"beneficiaryName": "beneficiaryName",
		"isInternationalAccount": "isInternationalAccount",
		"ConsentId": "ConsentId",
		"Initiation_InstructionIdentification": "Initiation_InstructionIdentification",
		"RI_Unstructured": "RI_Unstructured",
		"RI_Reference": "RI_Reference",
		"Initiation_EndToEndIdentification": "Initiation_EndToEndIdentification",
		"RiskPaymentContextCode": "RiskPaymentContextCode",
		"linkSelf": "linkSelf",
		"StatusUpdateDateTime": "StatusUpdateDateTime",
		"createdDate": "createdDate",
		"DomesticPaymentId": "DomesticPaymentId",
		"dataStatus": "dataStatus",
		"Auth_Token": "Auth_Token",
		"fileType": "fileType",
		"MFAAttributes": "MFAAttributes",
		"serviceName": "serviceName",
		"payPersonNickName": "payPersonNickName",
		"p2pAlternateContact": "p2pAlternateContact",
		"billerId": "billerId",
		"MoreRecordsToken": "MoreRecordsToken",
		"MoreRecordsflag": "MoreRecordsflag",
		"TransactionsMoreRecordsToken": "TransactionsMoreRecordsToken",
		"UserName": "UserName",
		"deviceID": "deviceID",
		"fromAccountCurrency": "fromAccountCurrency",
		"toAccountCurrency": "toAccountCurrency",
		"beneficiaryId": "beneficiaryId",
		"currencyCode": "currencyCode",
		"versionNumber": "versionNumber",
		"postedDate": "postedDate",
		"id": "id",
		"paidBy": "paidBy",
		"dbpErrCode": "dbpErrCode",
		"isIBANValid": "isIBANValid",
		"paymentType": "paymentType",
		"dbpErrMsg": "dbpErrMsg",
		"feeAmount": "feeAmount",
		"benificaryZipCode": "benificaryZipCode",
		"beneficiaryAddressNickName": "beneficiaryAddressNickName",
		"beneficiaryAddressLine1": "beneficiaryAddressLine1",
		"chequeNumberStart": "chequeNumberStart",
		"beneficiaryCity": "beneficiaryCity",
		"bicId": "bicId",
		"beneficiaryCountry": "beneficiaryCountry",
		"bicCode": "bicCode",
		"bulkTransferString": "bulkTransferString",
		"chequeId": "chequeId",
		"defaultIssueNumber": "defaultIssueNumber",
		"note": "note",
		"chequeStatus": "chequeStatus",
		"chequeIssueId": "chequeIssueId",
		"issueDate": "issueDate",
		"numberIssued": "numberIssued",
		"validate": "validate",
		"currencyId": "currencyId",
		"amountRange": "amountRange",
		"chequeRange": "chequeRange",
		"isBusinessPayee": "isBusinessPayee",
		"companyId": "companyId",
		"fileNames": "fileNames",
		"fromDate": "fromDate",
		"nextWorkingDate": "nextWorkingDate",
		"toDate": "toDate",
		"fees": "fees",
		"lastWorkingDate": "lastWorkingDate",
		"lockedAmount": "lockedAmount",
		"currentWorkingDate": "currentWorkingDate",
		"transactionReference": "transactionReference",
		"errcode": "errcode",
		"lockReason": "lockReason",
		"lockedEventId": "lockedEventId",
		"merchantCity": "merchantCity",
		"principal": "principal",
		"insurance": "insurance",
		"merchantAddressName": "merchantAddressName",
		"Date": "Date",
		"fileName": "fileName",
		"paymentDate": "paymentDate",
		"fileID": "fileID",
		"installmentType": "installmentType",
		"cumulativeInterest": "cumulativeInterest",
		"charges": "charges",
		"outstandingBalance": "outstandingBalance",
		"tax": "tax",
		"interest": "interest",
		"installmentAmount": "installmentAmount",
		"orderId": "orderId",
		"orderedDate": "orderedDate",
		"orderStatus": "orderStatus",
		"uploadedattachments": "uploadedattachments",
		"directDebitId": "directDebitId",
		"directDebitStatus": "directDebitStatus",
		"mandateReference": "mandateReference",
		"lastPaymentDate": "lastPaymentDate",
		"signingDate": "signingDate",
		"status": "status",
		"totalSize": "totalSize",
		"pageSize": "pageSize",
		"pageStart": "pageStart",
		"User_id": "User_id",
		"directDebits": "directDebits",
		"transactionPeriod": "transactionPeriod",
		"paymentStatus": "paymentStatus",
		"revokeDate": "revokeDate",
		"revokeChequeTypeId": "revokeChequeTypeId",
		"isRevoke": "isRevoke",
		"userId": "userId",
		"address": "address",
		"deliveryType": "deliveryType",
		"numberOfChequeBooks": "numberOfChequeBooks",
		"numberOfLeaves": "numberOfLeaves",
		"createWithPaymentId": "createWithPaymentId",
		"creditValueDate": "creditValueDate",
		"daysPastDue": "daysPastDue",
		"quota": "quota",
		"debtBalance": "debtBalance",
		"quotaNumber": "quotaNumber",
		"paymentDatePag": "paymentDatePag",
		"fee": "fee",
		"installmentsPaid": "installmentsPaid",
		"installmentsDue": "installmentsDue",
		"installmentsPending": "installmentsPending",
	};

	Object.freeze(mappings);

	var typings = {
		"accountID": "string",
		"accountNumber": "string",
		"amount": "string",
		"amountTransferedTillNow": "string",
		"authenticationRequired": "string",
		"billCategory": "string",
		"billCategoryId": "string",
		"billDueAmount": "string",
		"billDueDate": "string",
		"billerCategoryName": "string",
		"billGeneratedDate": "string",
		"billid": "string",
		"billPaidAmount": "string",
		"billPaidDate": "string",
		"bulkPayString": "string",
		"cashlessEmail": "string",
		"cashlessMode": "string",
		"cashlessOTP": "string",
		"cashlessOTPValidDate": "string",
		"cashlessPersonName": "string",
		"cashlessPhone": "string",
		"cashlessPin": "string",
		"cashlessSecurityCode": "string",
		"cashWithdrawalTransactionStatus": "string",
		"category": "string",
		"checkImage": "string",
		"checkImageBack": "string",
		"checkNumber": "string",
		"deliverBy": "string",
		"description": "string",
		"eBillEnable": "string",
		"eBillSupport": "string",
		"ebillURL": "string",
		"errmsg": "string",
		"ExternalAccountNumber": "string",
		"firstDeposit": "string",
		"firstRecordNumber": "string",
		"frequencyEndDate": "string",
		"frequencyStartDate": "string",
		"frequencyType": "string",
		"fromAccountBalance": "string",
		"fromAccountName": "string",
		"fromAccountNumber": "string",
		"fromAccountType": "string",
		"fromCheckNumber": "string",
		"fromNickName": "string",
		"hasDepositImage": "string",
		"isScheduled": "string",
		"lastRecordNumber": "string",
		"limit": "string",
		"numberOfRecurrences": "string",
		"offset": "string",
		"order": "string",
		"otp": "string",
		"p2pContact": "string",
		"p2pRequiredDate": "string",
		"payeeAccountNumber": "string",
		"payeeAddressLine1": "string",
		"payeeId": "string",
		"payeeName": "string",
		"payeeNickName": "string",
		"payoffFlag": "string",
		"payPersonEmail": "string",
		"payPersonName": "string",
		"payPersonPhone": "string",
		"penaltyFlag": "string",
		"personId": "string",
		"recurrenceDesc": "string",
		"referenceId": "string",
		"scheduledDate": "string",
		"searchAmount": "string",
		"searchDateRange": "string",
		"searchDescription": "string",
		"searchEndDate": "string",
		"searchMaxAmount": "string",
		"searchMinAmount": "string",
		"searchStartDate": "string",
		"searchTransactionType": "string",
		"searchType": "string",
		"secondaryEmail": "string",
		"secondaryEmail2": "string",
		"secondaryPhoneNumber2": "string",
		"secondDeposit": "string",
		"secondoryPhoneNumber": "string",
		"sortBy": "string",
		"statusDescription": "string",
		"success": "string",
		"toAccountName": "string",
		"toAccountNumber": "string",
		"toAccountType": "string",
		"toCheckNumber": "string",
		"totalAmount": "string",
		"transactionComments": "string",
		"transactionDate": "string",
		"transactionId": "string",
		"transactionsNotes": "string",
		"transactionType": "string",
		"validDate": "string",
		"viewReportLink": "string",
		"overdraft": "string",
		"isPaypersonDeleted": "string",
		"frontImage1": "string",
		"frontImage2": "string",
		"backImage1": "string",
		"backImage2": "string",
		"checkDesc": "string",
		"checkNumber1": "string",
		"checkNumber2": "string",
		"bankName1": "string",
		"bankName2": "string",
		"withdrawlAmount1": "string",
		"withdrawlAmount2": "string",
		"totalCheckAmount": "string",
		"cashAmount": "string",
		"payeeCurrency": "string",
		"swiftCode": "string",
		"wireAccountType": "string",
		"country": "string",
		"IBAN": "string",
		"bankName": "string",
		"routingNumber": "string",
		"internationalRoutingCode": "string",
		"zipCode": "string",
		"cityName": "string",
		"state": "string",
		"bankAddressLine1": "string",
		"bankAddressLine2": "string",
		"bankCity": "string",
		"bankState": "string",
		"bankZip": "string",
		"payeeType": "string",
		"disputeReason": "string",
		"disputeDescription": "string",
		"checkDateOfIssue": "string",
		"checkReason": "string",
		"isPayeeDeleted": "string",
		"payeeAddressLine2": "string",
		"amountRecieved": "string",
		"requestValidityInMonths": "string",
		"requestValidity": "string",
		"requestType": "string",
		"disputeDate": "string",
		"disputeStatus": "string",
		"isDisputed": "string",
		"cardId": "string",
		"isOverdraft": "string",
		"title": "string",
		"generatedBy": "string",
		"filters": "string",
		"statementReference": "string",
		"transCreditDebitIndicator": "string",
		"bookingDateTime": "string",
		"valueDateTime": "string",
		"transactionInformation": "string",
		"addressLine": "string",
		"transactionAmount": "string",
		"transactionCurrency": "string",
		"chargeAmount": "string",
		"chargeCurrency": "string",
		"sourceCurrency": "string",
		"targetCurrency": "string",
		"unitCurrency": "string",
		"exchangeRate": "string",
		"contractIdentification": "string",
		"quotationDate": "string",
		"instructedAmount": "string",
		"transactionCode": "string",
		"transactionSubCode": "string",
		"proprietaryTransactionCode": "string",
		"proprietaryTransactionIssuer": "string",
		"balanceCreditDebitIndicator": "string",
		"balanceType": "string",
		"balanceAmount": "string",
		"balanceCurrency": "string",
		"merchantName": "string",
		"merchantCategoryCode": "string",
		"creditorAgentSchemeName": "string",
		"creditorAgentIdentification": "string",
		"creditorAgentName": "string",
		"creditorAgentaddressType": "string",
		"creditorAgentDepartment": "string",
		"creditorAgentSubDepartment": "string",
		"creditorAgentStreetName": "string",
		"creditorAgentBuildingNumber": "string",
		"creditorAgentPostCode": "string",
		"creditorAgentTownName": "string",
		"creditorAgentCountrySubDivision": "string",
		"creditorAgentCountry": "string",
		"creditorAgentAddressLine": "string",
		"creditorAccountSchemeName": "string",
		"creditorAccountSeconIdentification": "string",
		"debtorAgentSchemeName": "string",
		"debtorAgentIdentification": "string",
		"debtorAgentName": "string",
		"debtorAgentAddressType": "string",
		"debtorAgentDepartment": "string",
		"debtorAgentSubDepartment": "string",
		"debtorAgentStreetName": "string",
		"debtorAgentBuildingNumber": "string",
		"dedtorAgentPostCode": "string",
		"debtorAgentTownName": "string",
		"debtorAgentCountrySubDivision": "string",
		"debtorAgentCountry": "string",
		"debtorAgentAddressLine": "string",
		"debtorAccountSchemeName": "string",
		"debtorAccountName": "string",
		"debtorAccountSeconIdentification": "string",
		"cardInstrumentSchemeName": "string",
		"cardInstrumentAuthorisationType": "string",
		"cardInstrumentName": "string",
		"cardInstrumentIdentification": "string",
		"sortCode": "string",
		"feeCurrency": "string",
		"feePaidByReceipent": "string",
		"convertedAmount": "string",
		"baseCurrency": "string",
		"FirstPaymentDateTime": "string",
		"NextPaymentDateTime": "string",
		"FinalPaymentDateTime": "string",
		"StandingOrderStatusCode": "string",
		"FP_Amount": "string",
		"FP_Currency": "string",
		"NP_Amount": "string",
		"NP_Currency": "string",
		"FPA_Amount": "string",
		"FPA_Currency": "string",
		"beneficiaryName": "string",
		"isInternationalAccount": "string",
		"ConsentId": "string",
		"Initiation_InstructionIdentification": "string",
		"RI_Unstructured": "string",
		"RI_Reference": "string",
		"Initiation_EndToEndIdentification": "string",
		"RiskPaymentContextCode": "string",
		"linkSelf": "string",
		"StatusUpdateDateTime": "date",
		"createdDate": "date",
		"DomesticPaymentId": "string",
		"dataStatus": "string",
		"Auth_Token": "string",
		"fileType": "string",
		"MFAAttributes": "string",
		"serviceName": "string",
		"payPersonNickName": "string",
		"p2pAlternateContact": "string",
		"billerId": "string",
		"MoreRecordsToken": "string",
		"MoreRecordsflag": "string",
		"TransactionsMoreRecordsToken": "string",
		"UserName": "string",
		"deviceID": "string",
		"fromAccountCurrency": "string",
		"toAccountCurrency": "string",
		"beneficiaryId": "string",
		"currencyCode": "string",
		"versionNumber": "string",
		"postedDate": "string",
		"id": "string",
		"paidBy": "string",
		"dbpErrCode": "string",
		"isIBANValid": "string",
		"paymentType": "string",
		"dbpErrMsg": "string",
		"feeAmount": "string",
		"benificaryZipCode": "string",
		"beneficiaryAddressNickName": "string",
		"beneficiaryAddressLine1": "string",
		"chequeNumberStart": "string",
		"beneficiaryCity": "string",
		"bicId": "string",
		"beneficiaryCountry": "string",
		"bicCode": "string",
		"bulkTransferString": "string",
		"chequeId": "string",
		"defaultIssueNumber": "string",
		"note": "string",
		"chequeStatus": "string",
		"chequeIssueId": "string",
		"issueDate": "string",
		"numberIssued": "string",
		"validate": "string",
		"currencyId": "string",
		"amountRange": "string",
		"chequeRange": "string",
		"isBusinessPayee": "string",
		"companyId": "string",
		"fileNames": "string",
		"fromDate": "string",
		"nextWorkingDate": "string",
		"toDate": "string",
		"fees": "string",
		"lastWorkingDate": "string",
		"lockedAmount": "string",
		"currentWorkingDate": "string",
		"transactionReference": "string",
		"errcode": "string",
		"lockReason": "string",
		"lockedEventId": "string",
		"merchantCity": "string",
		"principal": "string",
		"insurance": "string",
		"merchantAddressName": "string",
		"Date": "string",
		"fileName": "string",
		"paymentDate": "string",
		"fileID": "string",
		"installmentType": "string",
		"cumulativeInterest": "string",
		"charges": "string",
		"outstandingBalance": "string",
		"tax": "string",
		"interest": "string",
		"installmentAmount": "string",
		"orderId": "string",
		"orderedDate": "string",
		"orderStatus": "string",
		"uploadedattachments": "string",
		"directDebitId": "string",
		"directDebitStatus": "string",
		"mandateReference": "string",
		"lastPaymentDate": "string",
		"signingDate": "string",
		"status": "string",
		"totalSize": "string",
		"pageSize": "string",
		"pageStart": "string",
		"User_id": "string",
		"directDebits": "string",
		"transactionPeriod": "string",
		"paymentStatus": "string",
		"revokeDate": "string",
		"revokeChequeTypeId": "string",
		"isRevoke": "string",
		"userId": "string",
		"address": "string",
		"deliveryType": "string",
		"numberOfChequeBooks": "string",
		"numberOfLeaves": "string",
		"createWithPaymentId": "string",
		"creditValueDate": "string",
		"daysPastDue": "string",
		"quota": "string",
		"debtBalance": "string",
		"quotaNumber": "string",
		"paymentDatePag": "string",
		"fee": "string",
		"installmentsPaid": "string",
		"installmentsDue": "string",
		"installmentsPending": "string",
	}

	Object.freeze(typings);

	var primaryKeys = [
					"transactionId",
	];

	Object.freeze(primaryKeys);

	var config = {
		mappings: mappings,
		typings: typings,
		primaryKeys: primaryKeys,
		serviceName: "RBObjects",
		tableName: "Transactions"
	};

	Object.freeze(config);

	return config;
})